<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Javascript</title>
    <script>



        document.addEventListener('DOMContentLoaded', function () {

            document.querySelector('h1').style.color = "green"


            document.querySelector('button').addEventListener('click', function () {
                alert("clicked")
            })

            document.getElementById('red').addEventListener('click',function(){
                document.querySelector('h1').style.color = "red"

            })
            

            document.querySelector('form').addEventListener('submit',function(){
                let name  = document.querySelector("#name")
                alert(name.value)
            })






        })


    </script>



</head>

<body>

    <h1>JavaScript</h1>

    <button>Click</button>

    <button id="red">Red</button>
    <button id="blue">Blue</button>
    <button id="green">Green</button>

    <form action="">
        <input type="text" id="name">
        <button type="submit">submit</button>
    </form>












</body>

</html>